[data-component="spacer"] {
  width: 100%;
  box-shadow: none;
  padding: 0;
  outline: none !important;

  &[data-variant="xs"] { height: var(--spacing--xs); }
  &[data-variant="sm"] { height: var(--spacing--sm); }
  &[data-variant="md"] { height: var(--spacing--md); }
  &[data-variant="lg"] { height: var(--spacing--lg); }
  &[data-variant="xl"] { height: var(--spacing--xl); }
  &[data-variant="section"] { height: var(--section--padding);}
}

[data-component="border"] {
  display: flex;
  flex-flow: column;
  width: 100%;
}

[data-border="line"] {
  width: 100%;
  height: var(--border--width);
  outline: none !important;
  flex: none;
  margin: 0;
  padding: 0;
  border-style: none;
  box-shadow: none;
  background-color: var(--_site-theme---border);
}